{
  "name": "{{ agave.appsPrefix }}-legionella-momps-allele-extract-gf2",
  "version": "0.2.01",
  "label": "Extracts mompS paralog for re-evaluation by SRST step",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/legionella-momps-allele-extract-gf2-0.2-01",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "legionella-momps-allele-extract-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "samfile",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "pair",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}